gnubiff (2.2.17-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:14:45 +0000

gnubiff (2.2.17-5build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:07:43 +0000

gnubiff (2.2.17-5) unstable; urgency=medium

  * QA upload.
  * Drop gamin support. (Closes: #1038805)

 -- Bastian Germann <bage@debian.org>  Tue, 24 Oct 2023 18:09:59 +0200

gnubiff (2.2.17-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-11 (Closes: #984159), patch by Simon Chopin.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 20 Feb 2022 23:45:03 +0100

gnubiff (2.2.17-3) unstable; urgency=medium

  * QA upload.
  * Replace fam with gamin.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 31 Jan 2021 23:16:07 +0000

gnubiff (2.2.17-2) unstable; urgency=medium

  * QA upload.
  * Build with --disable-gnome (Closes: #285260)
  * Drop obsolete Build-Depends on libgconf2-dev & libpanel-applet-dev
    (Closes: #894655)
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 16 Oct 2018 18:37:55 -0400

gnubiff (2.2.17-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    + Fixes failure to read config file.  (Closes: #815632)
  * dh compat 10.
  * Prune stone age versioned dependencies.
  * Drop patches applied upstream.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 20 Oct 2017 21:42:32 +0200

gnubiff (2.2.16-3) unstable; urgency=medium

  * QA upload.
  * Port to in-process applet, to fix the build failure with gnome-panel
    3.22 and newer (panel_applet_inprocess.patch).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2017 18:34:55 +0300

gnubiff (2.2.16-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #812618)

  [ Adrian Bunk ]
  * cstring.patch: New, fix FTBFS.  (Closes: #828327)

  [ Dmitry Shachnev ]
  * debian/rules: Add missing intltoolize call.  (Closes: #846911)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Dec 2016 17:46:13 +0100

gnubiff (2.2.16-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6
  * debian/menu: Removed in favour of desktop file

 -- Roland Stigge <stigge@antcom.de>  Wed, 13 Jan 2016 01:58:01 +0100

gnubiff (2.2.15-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port to GAction and libpanel-applet (closes: #789026):
    - Add debian/patches/06-libpanel-applet.patch.
    - Change build-dependency to libpanel-applet-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Jun 2015 15:23:29 +0300

gnubiff (2.2.15-4) unstable; urgency=medium

  * Add patch by Frederic Briere to fix mutex unlocking that should really be a
    mutex free (Closes: #763893)
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Fri, 03 Oct 2014 17:10:27 +0200

gnubiff (2.2.15-3) unstable; urgency=low

  * debian/rules: Add -i to autoreconf to fix FTBFS (Closes: #723878)

 -- Roland Stigge <stigge@antcom.de>  Wed, 16 Oct 2013 22:01:52 +0200

gnubiff (2.2.15-2) unstable; urgency=low

  * Remove reference to deprecated g_thread_init(), new patch
    (Closes: #713572)
  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Tue, 13 Aug 2013 21:04:20 +0200

gnubiff (2.2.15-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Mon, 27 Feb 2012 23:36:20 +0100

gnubiff (2.2.14-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU
  * Reactivate GNOME support due to new GNOME 3 support by upstream package

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Feb 2012 20:06:11 +0100

gnubiff (2.2.13-4.1) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * Disable the GNOME panel applet. Drop build dependency on
    libpanel-applet2-dev, libgnomeui-dev and libgnome-dev. (Closes: #638083)
  * Add build dependency on libpopt-dev.
  * Update 04-fix-POTFILES-in.patch to not process
    src/GNOME_gnubiffApplet.server.in.
  * debian/patches/06-dont-create-empty-dirs.patch: Don't create empty install
    directories for /usr/share/gnome-2.0/ and /usr/lib/bonobo/ if gnome
    support is disabled.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Oct 2011 16:30:45 +0200

gnubiff (2.2.13-4) unstable; urgency=low

  * Included patch by david <david@hee.is-a-geek.net> to fix incorrect error
    message in case of too long answer from IMAP server (Closes: #594717)
  * debian/control: Standards-Version: 3.9.2
  * debian/rules: new debhelper dh style rules

 -- Roland Stigge <stigge@antcom.de>  Sun, 07 Aug 2011 11:13:48 +0200

gnubiff (2.2.13-3) unstable; urgency=low

  * ui/Makefile.am: Clean desktop file

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 Jul 2010 14:37:45 +0200

gnubiff (2.2.13-2) unstable; urgency=low

  * Moved to new source format 3.0 (quilt)
  * debian/control:
    - Standards-Version: 3.9.0
    - Build-Depends: automake, autoconf (due to configure.ac changes)
    - Recommends: fam (instead of Suggests:), and documented in README.Debian
      (Closes: #514267, #572412)
  * Added configure.ac pkgconfig for x11 (Closes: #554673)
  * debian/rules: Removed configure option --with-gnome (obsolete)

 -- Roland Stigge <stigge@antcom.de>  Sat, 17 Jul 2010 15:35:11 +0200

gnubiff (2.2.13-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.4

 -- Roland Stigge <stigge@antcom.de>  Mon, 08 Feb 2010 21:51:50 +0100

gnubiff (2.2.12-1) unstable; urgency=low

  * New upstream release
  * Acknowledge but drop configure.ac patch from 2.2.10-1.1 since upstream
    incorporated it.
  * debian/control: Standards-Version: 3.8.3

 -- Roland Stigge <stigge@antcom.de>  Sun, 10 Jan 2010 18:12:12 +0100

gnubiff (2.2.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ensure libgnomeui-2.0 flags are detected by ./configure: patch
    configure.ac and re-run autoconf. Fix FTBFS. (Closes: #536955)
  * Add build-dep to libgnomeui-dev to ensure gnome.h is around.

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 03 Sep 2009 19:23:33 +0200

gnubiff (2.2.10-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Apr 2008 17:39:23 +0200

gnubiff (2.2.9-2) unstable; urgency=low

  * src/support.h: Applied IMAP Bugfix by Jan Outrata (Closes: #472080)

 -- Roland Stigge <stigge@antcom.de>  Sat, 22 Mar 2008 18:18:29 +0100

gnubiff (2.2.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: Removed Build-Depends: libgdk-pixbuf-dev (Closes: #463902)
  * debian/copyright: Added note that Gnubiff allows linking to OpenSSL via
    License exception

 -- Roland Stigge <stigge@antcom.de>  Sat, 09 Feb 2008 19:51:27 +0100

gnubiff (2.2.8-3) unstable; urgency=low

  * Added version 3 debian/watch file thanks to Raphael Geissert
    (Closes: #449747)
  * debian/control:
    - Standards-Version: 3.7.3
    - new Homepage: pseudo-header
  * debian/compat and debhelper dependency: 6 (Closes: #452116)
  * debian/copyright: GPLv3
  * NO change to gamin. Again: We had several changes from fam to gamin and
    back, for several compatibility and breakage reasons in the past.

 -- Roland Stigge <stigge@antcom.de>  Sat, 12 Jan 2008 19:11:38 +0100

gnubiff (2.2.8-2) unstable; urgency=low

  * debian/control: Added Suggests: fam (Closes: #444241)

 -- Roland Stigge <stigge@antcom.de>  Sun, 30 Sep 2007 14:18:21 +0200

gnubiff (2.2.8-1) unstable; urgency=low

  * New upstream release
  * debian/menu: Moved sections from Apps/Net to
    Applications/Network/Communication

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Sep 2007 23:11:08 +0200

gnubiff (2.2.7-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Improved $(MAKE) distclean call, thanks to lintian

 -- Roland Stigge <stigge@antcom.de>  Sun, 22 Jul 2007 16:13:07 +0200

gnubiff (2.2.6-2) unstable; urgency=low

  * Added patch by Martin Michlmayr to support GCC 3.4 (Closes: #420969)
  * Created debian/compat ("4"), thanks to lintian

 -- Roland Stigge <stigge@antcom.de>  Thu, 26 Apr 2007 21:07:46 +0200

gnubiff (2.2.6-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 10 Apr 2007 09:55:40 +0200

gnubiff (2.2.5-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 28 Jan 2007 21:45:46 +0100

gnubiff (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 16 Oct 2006 14:55:48 +0200

gnubiff (2.2.2-4) unstable; urgency=low

  * src/decoding.cc: Adjusting again to upstream, to maintain compatibility
    with older versions (See #378233)

 -- Roland Stigge <stigge@antcom.de>  Sun,  3 Sep 2006 16:48:28 +0200

gnubiff (2.2.2-3) unstable; urgency=low

  * src/decoding.cc: Adjusted previous fix to upstream's approach
    (to prevent incompatibility)

 -- Roland Stigge <stigge@antcom.de>  Wed, 30 Aug 2006 10:50:37 +0200

gnubiff (2.2.2-2) unstable; urgency=low

  * src/decoding.cc: Fixed encryption and decryption of passwords by
    applying AES to multiple blocks (Closes: #378233)

 -- Roland Stigge <stigge@antcom.de>  Tue, 29 Aug 2006 17:07:44 +0200

gnubiff (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Aug 2006 15:14:07 +0200

gnubiff (2.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Sun,  4 Jun 2006 15:02:53 +0200

gnubiff (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 10 Apr 2006 09:43:59 +0200

gnubiff (2.1.9-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 15 Jan 2006 15:35:14 +0100

gnubiff (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Dec 2005 16:44:33 +0100

gnubiff (2.1.7-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 31 Oct 2005 10:30:02 +0100

gnubiff (2.1.6-1) unstable; urgency=low

  * New upstream release
  * C++ ABI transition ready as far as FAM is concerned (libfam0 back again
    instead of gamin, Closes: #321356).
  * Added reference to info page in manpage (Closes: #335193)
  * Removed references to "--gtk" (Closes: #335820)

 -- Roland Stigge <stigge@antcom.de>  Thu, 27 Oct 2005 22:59:26 +0200

gnubiff (2.1.5-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 21 Aug 2005 21:09:17 +0200

gnubiff (2.1.4-3) unstable; urgency=low

  * src/gnubiff.cc: Re-activated bind_textdomain_codeset() that has been
    ignored after by upstream changes (Closes: #305002)

 -- Roland Stigge <stigge@antcom.de>  Sat, 13 Aug 2005 18:27:03 +0200

gnubiff (2.1.4-2) unstable; urgency=low

  * Rebuild due to new C++ ABI

 -- Roland Stigge <stigge@antcom.de>  Mon,  1 Aug 2005 18:32:46 +0200

gnubiff (2.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.6.2.0

 -- Roland Stigge <stigge@antcom.de>  Mon,  4 Jul 2005 22:03:46 +0200

gnubiff (2.1.3-1) unstable; urgency=low

  * New upstream (bugfix) release
    - Fixes Maildir bug (Closes: #297774)
    - Fixes message update problem (Closes: #299848)
    - Fixes l10n bug (Closes: #302576)
    - Fixes 64-bit bug (Closes: #301853)

 -- Roland Stigge <stigge@antcom.de>  Mon,  4 Apr 2005 18:59:41 +0200

gnubiff (2.1.2-1) unstable; urgency=low

  * New upstream (bugfix) release

 -- Roland Stigge <stigge@antcom.de>  Mon, 28 Mar 2005 21:57:03 +0200

gnubiff (2.1.1-3) unstable; urgency=low

  * src/local.cc: Applied change from CVS to fix Maildir bug (Closes: #297774)

 -- Roland Stigge <stigge@antcom.de>  Wed, 23 Mar 2005 21:31:45 +0100

gnubiff (2.1.1-2) unstable; urgency=low

  * po/fr.po: Changed encoding entry from "ISO-8859-1" to "UTF-8"
    (Closes: #297490)

 -- Roland Stigge <stigge@antcom.de>  Tue,  1 Mar 2005 20:27:41 +0100

gnubiff (2.1.1-1) unstable; urgency=low

  * New upstream release
  * Added Build-Depends: libfam-dev

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Feb 2005 18:40:16 +0100

gnubiff (2.0.3-2) unstable; urgency=low

  * src/maildir.cc: Applied patch to fix crash due to bad g_build_filename()
    call, thanks to Paul Kuliniewicz (Closes: #285492)

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Dec 2004 18:07:48 +0100

gnubiff (2.0.3-1) unstable; urgency=low

  * New upstream release
    - Fixes IMAP/ssl timeout problem (Closes: #271844)

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 Dec 2004 11:54:27 +0100

gnubiff (2.0.2-1) unstable; urgency=low

  * New upstream release
    - Fixes connect to IMAP/SSL on localhost (Closes: #270494)
    - Fixes memory leak (Closes: #256551)
    - Fixes display on new mail (Closes: #270164)
    - Builds with gcc-3.4 (Closes: #271288)
    - Fixes wrong help popup (Closes: #270495)

 -- Roland Stigge <stigge@antcom.de>  Thu, 21 Oct 2004 20:37:53 +0200

gnubiff (2.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated homepage URL

 -- Roland Stigge <stigge@antcom.de>  Fri,  3 Sep 2004 22:06:13 +0200

gnubiff (2.0.0-1) unstable; urgency=low

  * New upstream release
      - Fixes memory leak (Closes: #256551)

 -- Roland Stigge <stigge@antcom.de>  Fri,  3 Sep 2004 16:20:31 +0200

gnubiff (1.4.0-2) unstable; urgency=low

  * Fixed APOP timestamp / digest handling, thanks to Satoshi KOIKE
    (Closes: #262924)

 -- Roland Stigge <stigge@antcom.de>  Tue,  3 Aug 2004 09:52:39 +0200

gnubiff (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #255848)
      - Fixes crashes (Closes: #233261)
      - Now checks all mailboxes (Closes: #251313)

 -- Roland Stigge <stigge@antcom.de>  Wed, 23 Jun 2004 17:51:26 +0200

gnubiff (1.2.0-2) unstable; urgency=low

  * Incorporated patch by Rens Houben <shadur@debian.org> enabling IMAP
    folders with spaces in the filename (Closes: #249566)

 -- Roland Stigge <stigge@antcom.de>  Mon, 31 May 2004 00:24:33 -0300

gnubiff (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon,  3 May 2004 11:22:30 +0200

gnubiff (1.0.10-2) unstable; urgency=low

  * Applied patch fixing ignored "no popup" option, thanks to Alexis S. L.
    Carvalho <alexis@cecm.usp.br> (Closes: #243862)

 -- Roland Stigge <stigge@antcom.de>  Tue, 20 Apr 2004 11:45:20 +0200

gnubiff (1.0.10-1) unstable; urgency=low

  * New upstream release
      - Fixes crashes on unavailable mail servers (Closes: #226808)
      - Provides more control over unread mail maximum (Closes: #241567)
  * Clarified debian/copyright: Distinction between copyright and license
  * Adjusted debian/menu: quotes around values

 -- Roland Stigge <stigge@antcom.de>  Wed,  7 Apr 2004 13:57:54 +0200

gnubiff (1.0.9-1) unstable; urgency=low

  * New upstream release
      - Support for multiple mailboxes under GNOME (Closes: #224940)
      - IMAP mail check bugfix (Closes: #231666)

 -- Roland Stigge <stigge@antcom.de>  Mon, 16 Feb 2004 14:49:13 +0100

gnubiff (1.0.8-2) unstable; urgency=low

  * debian/control: Added sox to "Depends:", thanks to Christian Luijten
    (Closes: #225657)

 -- Roland Stigge <stigge@antcom.de>  Wed, 31 Dec 2003 15:03:13 +0100

gnubiff (1.0.8-1) unstable; urgency=low

  * New upstream release, fixes sound playback in configuration dialog and
    long IMAP4 stalls (Closes: #220415, #223756, #224209)

 -- Roland Stigge <stigge@antcom.de>  Wed, 17 Dec 2003 14:28:59 +0100

gnubiff (1.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules: enabled new option --with-password option to ./configure
    to enable password saving to ~/.gnubiffrc

 -- Roland Stigge <stigge@antcom.de>  Sat, 13 Dec 2003 18:43:57 +0100

gnubiff (1.0.5-3) unstable; urgency=low

  * Added libssl-dev to Build-Depends (Closes: #221837)

 -- Roland Stigge <stigge@antcom.de>  Thu, 20 Nov 2003 16:46:15 +0100

gnubiff (1.0.5-2) unstable; urgency=low

  * Fixed menu entry to start GTK+ version (applet is always started
    from GNOME panel)

 -- Roland Stigge <stigge@antcom.de>  Tue, 18 Nov 2003 11:20:29 +0100

gnubiff (1.0.5-1) unstable; urgency=low

  * New upstream release
  * Removed debian/TODO, since the dual-version (use --gtk for GTK+ mode
    in GNOME runtime version) has been implemented upstream (Closes: #212350)
  * Upstream bug fixes: Corrected number of new mails for mbox
    (Closes: #220428), message preview window handling (Closes: #220430)

 -- Roland Stigge <stigge@antcom.de>  Mon, 17 Nov 2003 18:24:09 +0100

gnubiff (1.0.4-2) unstable; urgency=low

  * Enabled password saving to rc file (Closes: #204094)

 -- Roland Stigge <stigge@antcom.de>  Fri, 14 Nov 2003 10:59:22 +0100

gnubiff (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 12 Nov 2003 15:11:55 +0100

gnubiff (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Upstream name changed to gnubiff (hopefully finally)
  * src/Biff.cc: replaced the g_getenv() calls by empty strings to prevent
    the segfault on startup
  * debian/control: Conflicts and Replaces: gbiff, gbiff2
  * debian/control: Added homepage to Description
  * Standards-Version: 3.6.1

 -- Roland Stigge <stigge@antcom.de>  Fri,  7 Nov 2003 17:34:55 +0100

gbiff2 (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 23 Sep 2003 12:55:32 +0200

gbiff2 (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Removed debian/gtick2.1 since upstream included my manpage

 -- Roland Stigge <stigge@antcom.de>  Wed, 23 Jul 2003 12:32:43 +0200

gbiff2 (0.2.0-2) unstable; urgency=low

  * debian/control: added Replaces: and Conflicts: gbiff to remove
    gbiff on upgrade

 -- Roland Stigge <stigge@antcom.de>  Sat, 19 Jul 2003 21:31:46 +0200

gbiff2 (0.2.0-1) unstable; urgency=low

  * New maintainer (Closes: #201383)
  * New upstream release
  * Renamed package to gbiff2 due to reference to gbiff2 everywhere in the
    source package, especially binary
  * Acknowledge NMU (Closes: #120858)
  * Standards-Version: 3.6.0
  * Rewrote Build-Depends (Closes: #181596)
  * Removed unneeded example files (*.ex) from debian/
  * Prepared debian/menu
  * Wrote manpage

 -- Roland Stigge <stigge@antcom.de>  Fri, 18 Jul 2003 17:23:14 +0200

gbiff (3.1-1) unstable; urgency=low

  * New upstream release
  * Maintainer Release
  * Modified build-depends package name: gdk-imlib-dev to gdk-imlib1-dev.
    (Closes: #162827)

 -- Yoshiaki Yanagihara <yochi@debian.org>  Fri,  4 Oct 2002 12:08:28 +0900

gbiff (2.6-1.1) unstable; urgency=low

  * NMU
  * Add missing build-depends.  Closes: #120858.

 -- LaMont Jones <lamont@debian.org>  Sun, 23 Dec 2001 21:47:49 -0700

gbiff (2.6-1) unstable; urgency=low

  * Initial Release.

 -- Yoshiaki Yanagihara <yochi@debian.org>  Wed, 24 Oct 2001 18:21:02 +0900
